changeset 47:315b74beec1a

added a script to generate a release
author meillo@marmaro.de
date Thu, 20 May 2010 21:21:22 +0200 (2010-05-20)
parents 3cb6f383f07e
children f3bdb5b382ec
files misc/gen-dist
diffstat 1 files changed, 18 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/misc/gen-dist	Thu May 20 21:21:22 2010 +0200
@@ -0,0 +1,18 @@
+#!/bin/sh
+#
+# generate a tar.gz archive to distribute
+# generate an md5sum and a detached signature of the archive
+#
+# requires:
+# - mercurial (hg)
+# - md5sum
+# - gnupg
+
+if [ $# -ne 1 -o -e "$1" ] ; then
+	echo "usage: gen-dist DESTINATION" 2>&1
+	exit 1
+fi
+
+hg archive -t tgz "$1"
+md5sum "$1" > "$1.md5sum"
+gpg -ab "$1"